ISPUNCT(3)

NAME
ispunct - punctuation character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
ispunct(int c);

DESCRIPTION
The ispunct() function tests for any printing character except space (' ') or a character for which isalnum(3) is true.

RETURN VALUES
The ispunct() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The ispunct() function conforms to ansiC.

CAVEATS
The argument to ispunct() must be EOF or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.